net.corda.client.jfx.model

## Class NetworkIdentityModel

- net.corda.client.jfx.model.NetworkIdentityModel

-     public class NetworkIdentityModel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkIdentityModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javafx.beans.value.ObservableValue<net.corda.core.node.NodeInfo>` | `getMyIdentity()`
    `javafx.collections.ObservableList<net.corda.core.node.NodeInfo>` | `getNetworkIdentities()`
    `javafx.collections.ObservableList<net.corda.core.node.NodeInfo>` | `getNotaries()`
    `javafx.collections.ObservableList<net.corda.core.node.NodeInfo>` | `getParties()`
    `javafx.beans.value.ObservableValue<net.corda.core.node.NodeInfo>` | `lookup(CompositeKey compositeKey)`
    `javafx.beans.value.ObservableValue<net.corda.core.node.NodeInfo>` | `lookup(java.security.PublicKey publicKey)`

- - ### Constructor Detail

    - #### NetworkIdentityModel

          public NetworkIdentityModel()

  - ### Method Detail

    - #### getNetworkIdentities

          public javafx.collections.ObservableList<net.corda.core.node.NodeInfo> getNetworkIdentities()

    - #### getParties

          public javafx.collections.ObservableList<net.corda.core.node.NodeInfo> getParties()

    - #### getNotaries

          public javafx.collections.ObservableList<net.corda.core.node.NodeInfo> getNotaries()

    - #### getMyIdentity

          public javafx.beans.value.ObservableValue<net.corda.core.node.NodeInfo> getMyIdentity()

    - #### lookup

          public javafx.beans.value.ObservableValue<net.corda.core.node.NodeInfo> lookup(CompositeKey compositeKey)

    - #### lookup

          public javafx.beans.value.ObservableValue<net.corda.core.node.NodeInfo> lookup(java.security.PublicKey publicKey)